curl --request PATCH \
--url https://api.treasuryprime.com/check/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "stop_payment_pending"
}
'import requests
url = "https://api.treasuryprime.com/check/{id}"
payload = { "status": "stop_payment_pending" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'stop_payment_pending'})
};
fetch('https://api.treasuryprime.com/check/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "acct_11gag8g8aw8tzv",
"amount": "10.05",
"check_date": "2021-11-09T22:39:48Z",
"check_number": "12012",
"created_at": "2021-11-09T22:39:48Z",
"id": "ch_11grny5mfhvjnp",
"memo": "presidential pension",
"message": "Presidential pension for November 2021. Please deposit within 60 days.",
"recipient": {
"address": {
"city": "Washington",
"postal_code": "20003",
"state": "DC",
"street_line_1": "1600 Pennsylvania Ave.",
"street_line_2": ""
},
"name": "George Washington"
},
"status": "stop_payment_pending",
"userdata": null
}Update an Issued Check
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique identifier for object
Body
The check to update
New status of check, one of: canceled, stop_payment
Response
The check updated
ID of the Account issuing the check. Filterable.
Amount of money to transfer, with two decimal precision
^-?[0-9]+[.][0-9][0-9]$ID of the bank with which the object is associated
Date on which the check was issued
The number printed on the issued check. Check numbers are automatically generated after check object creation
Delivery options for sending the check with the default being standard USPS shipping. For USPS First Class, Overnight, Two Day, and USPS Certified delivery options please contact support to ensure your account is properly configured for sending through those methods.
An error message of why the check is in error status.
Unique identifier for object
Optional text to include on the memo line of the check (max of 40 characters)
Optional text to include on the bottom of the check page (maximum of 400 characters)
ID of the organization with which the object is associated. Filterable.
Recipient of the check
Show child attributes
Show child attributes
The name of the person or entity being used as the signatory on this check
Status of check. Filterable.
Arbitrary data the user can attach to the object
Was this page helpful?